Bug 139021 - FILESAVE XLSX Conditional formatting of “Cell value“ type and condition “contains” or “does not contain” does not get saved
Summary: FILESAVE XLSX Conditional formatting of “Cell value“ type and condition “cont...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Conditional-Formatting
  Show dependency treegraph
 
Reported: 2020-12-18 07:26 UTC by NISZ LibreOffice Team
Modified: 2021-01-07 09:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment #152829 saved with current master (7.43 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-12-18 07:26 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in CalcScreenshot of the original and exported document side by side in Calc (49.28 KB, image/png)
2020-12-18 07:26 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-18 07:26:12 UTC
Created attachment 168276 [details]
attachment #152829 [details] saved with current master

This is a continuation of bug #122102
Now Calc can import conditions of “contains” or “does not contain” but we still can not save them to XLSX format.

Steps to reproduce:
    1. Open attachment #152829 [details]
    2. Notice the cells are colored in A2:C4
    3. Save as XLSX, reload

Actual results:
Cells are only colored in C2:C4.  Excel reports broken file when opened.

Expected results:
Conditions exported correctly.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: e97a81e94511b52987a50b7bdb72c922899da588
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-12-18 07:26:39 UTC
Created attachment 168277 [details]
Screenshot of the original and exported document side by side in CalcScreenshot of the original and exported document side by side in Calc
Comment 2 Commit Notification 2020-12-28 12:49:27 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/583e2bfba2d72ac8afe7261c23f380daf5486889

tdf#139021 XLSX export: fix "contains" conditional formatting

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-01-05 08:32:25 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/9ffc483be4ca49c436406a93690044459e880a9d

tdf#139021 XLSX export: fix "contains" conditional formatting

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-01-07 09:49:48 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 6bb6eb1692d7dd432103d0e7278534390084caf6
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Tibor Nagy, thanks for fixing this issue!!